Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.controller
Class EventHandlerMultiply

    java.lang.Object
      datechooser.controller.EventHandler
          datechooser.controller.EventHandlerMultiply

All Implemented Interfaces:
  DateChooseController, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.io.Serializable, java.util.EventListener

    public class EventHandlerMultiply

extends EventHandler

Handles input events (from mouse and keyboard). Supports multiple selection.
Обрабатывае события ввода (клавиатура и мышь). Обеспечивает возможность множественного выбора.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`EventHandlerMultiply()`

Method Summary
`protected void` | `doSelect(java.awt.event.MouseEvent e)`
`protected void` | `doShift(java.awt.event.KeyEvent e)`
`MultyDateChooseModel` | `getModel()`

Methods inherited from class datechooser.controller.EventHandler
`getView, isAutoScroll, isDragging, isDragStarted, isMask, keyPressed, keyReleased, keyTyped, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, onDragEnd, onDragStart, reBound, setAutoScroll, setDragging, setDragStarted, setView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventHandlerMultiply

    public EventHandlerMultiply()

Method Detail

### doSelect

    protected void doSelect(java.awt.event.MouseEvent e)

  Overrides:
    `doSelect` in class `EventHandler`

### doShift

    protected void doShift(java.awt.event.KeyEvent e)

  Overrides:
    `doShift` in class `EventHandler`

### getModel

    public MultyDateChooseModel getModel()

  Overrides:
    `getModel` in class `EventHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD